تحديث · مبلغ الاسترداد — الإرجاع والشكاوى والاستبدال
عدّل البيانات المحددة في «الإرجاع والشكاوى والاستبدال». الحقول المطلوبة وقواعد الكتابة موضحة أدناه.
PATCH
/api/v1/requests/{request_id}/refund-amountطلب cURL
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/requests/example/refund-amount \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: example-adjust_request_refund_amount_api_v1_requests__request_id__refund_amount_patch' \
--header 'Content-Type: application/json' \
--data-raw '{"amount":"0.00","expected_version":1}'
الاستجابة
{
"data": {
"deleted": false,
"id": "example",
"version": 1
},
"meta": {
"request_id": "example"
}
}
الصلاحيات المطلوبة
- المصادقة
- رمز الوصول
- متاح بدءًا من
- BASIC
- صلاحية المفتاح
- تغيير مبالغ الاسترداد للطلبات
payments.request_refund:adjust_amount